Subject: bug#47130: 28.0.50; Gnus: mairix doesn't work anymore

From: Michael Heerdegen <[email-masked]>
Date: Wed, 17 Mar 2021 02:02:07 +0100

Eric Abrahamsen <[email-masked]> writes:

> So maybe you're running into the exact same bug as before, via a
> different path? :)

Tried my luck on debugging, but it's really hard for me.

What I can say is that `nnselect-retrieve-headers' does not retrieve any
headers but gives up instead.  I'm not sure if there is a problem with
paths or whatever.  While debugging, in one of 10 trials then the thing
suddenly worked (!), I could see the expected matches but I did not find
a pattern what was different at that moment.  And quitting the group
then gave the error

| gnus-list-of-unread-articles: Group nnml+archive:home.micha.Mail.archive..emacs couldn't be activated

Hope somebody knowing the code can reproduce the issue.

Regards,

Michael.